Complete payment claim
curl --request POST \
--url https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "payment",
"id": "pay_019cd1798d77ef3e74d16143bd39940a",
"attributes": {
"amount": 50000,
"currency": "USD",
"status": "PROCESSING",
"description": "Q4 development work",
"tags": {
"order_id": "ord_123"
},
"fee": null,
"submittedAt": "2026-01-04T15:30:00.000Z",
"terminalAt": null,
"failure": null,
"return": null,
"claim": {
"startedAt": null,
"claimedAt": null,
"unboundAt": null
},
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:30:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"sender": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"recipient": {
"data": {
"type": "party",
"id": "pty_019cd1798d681091fcf1dc98afb72d01"
}
},
"recipientAgent": {
"data": null
},
"transaction": {
"data": {
"type": "transaction",
"id": "txn_019cd1798d6672a7b828eee780291b72"
}
},
"paymentRequest": {
"data": null
}
}
}
}
Simulations
Sandbox: Complete a payment claim
Simulate the recipient of a held payment joining Natural and receiving the funds
POST
/
simulations
/
payments
/
{paymentId}
/
complete-claim
Complete payment claim
curl --request POST \
--url https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.natural.com/simulations/payments/{paymentId}/complete-claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "payment",
"id": "pay_019cd1798d77ef3e74d16143bd39940a",
"attributes": {
"amount": 50000,
"currency": "USD",
"status": "PROCESSING",
"description": "Q4 development work",
"tags": {
"order_id": "ord_123"
},
"fee": null,
"submittedAt": "2026-01-04T15:30:00.000Z",
"terminalAt": null,
"failure": null,
"return": null,
"claim": {
"startedAt": null,
"claimedAt": null,
"unboundAt": null
},
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:30:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"sender": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"recipient": {
"data": {
"type": "party",
"id": "pty_019cd1798d681091fcf1dc98afb72d01"
}
},
"recipientAgent": {
"data": null
},
"transaction": {
"data": {
"type": "transaction",
"id": "txn_019cd1798d6672a7b828eee780291b72"
}
},
"paymentRequest": {
"data": null
}
}
}
}
Completes a payment held for the claim recipient, as if the payee just joined Natural and received the funds.
From the Sandbox MCP server, use
create_payment with payment-claim@sandbox.natural.test, then pass the returned payment ID to simulate_payment_claim_completion.Authorizations
Headers
Was this page helpful?